# Getting Started

- [Introduction](https://docs.neuron-ai.dev/v1/getting-started/readme.md): Learn what NeuronAI is and what you can do with it.
- [Fast Learning by Video](https://docs.neuron-ai.dev/v1/getting-started/fast-learning-by-video.md): Position yourself in the AI Agent era with our extensive tutorials and technical insights into NeuronAI capabilities. Learn from practical examples and real-world use cases.
- [Getting Started](https://docs.neuron-ai.dev/v1/getting-started/getting-started.md): Step by step instructions on how to install NeuronAI in your application and create an Agent.
- [Agent](https://docs.neuron-ai.dev/v1/getting-started/agent.md): Easily implement LLM interactions extending the basic Agent class.
- [Tools](https://docs.neuron-ai.dev/v1/getting-started/tools.md): Give Agents the ability to interact with your application context and services.
- [Streaming](https://docs.neuron-ai.dev/v1/getting-started/streaming.md): Presenting AI response to your user in real-time.
- [Structured Output](https://docs.neuron-ai.dev/v1/getting-started/structured-output.md): Enforce the Agent output based on the provided schema.
- [Attachments (Documents & Images)](https://docs.neuron-ai.dev/v1/getting-started/attachments-documents-and-images.md): Attach documents and images to your message.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neuron-ai.dev/v1/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
